<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Software Enginnering Code of Ethics and Professional Practice</title>
</head>
<body>
	<p><em>Science and Engineering Ethics (2001) 7,231-238</em></p>
	<hr/>
	
	<h1>Software Enginnering Code of Ethics and Professional Practice</h1>
	

	<h3>IEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h5>
	
	<hr/>
	
	<p><strong>Keywords:</strong> code of ethics, professional responsibility, software engineering</p>
	<h3>PREAMBLE</h3>
	<p>The short vesion of the code summarizes aspiration at a high level of abstraction. The clauses that are included in the full version give examples and details of how these aspirations change the way we act as software engineering profiessionals. Without the aspirations, the details can become legalistic and tedious; without the details the aspirations can become high-sounding but empty; together, the aspirations and the details form a cohesive code.</p>
	<p>Software engineers shall commit themselves to making the analysis, specification, design development, testing, and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety, and welfare of the public, woftware engineers shall adhere to the following eight Principles:</p>

	<h3>PRINCIPLES</h3>
	<ol>

		<li><em>Public</em>. Software engineers shall act consistently with the public interest.</li>
		<li><em>Client</em> and employer. Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with the public interest.</li>
		<li><em>Product</em>. Software engineers shall ensure that their products and related modifications meet the highest profiessional standards possible.</li>
		<li><em>Judgment</em>. Software engineers shall maintain intergrity and independence in their profiessional judgement.</li>
		<li><em>Management</em>. Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
		<li><em>Profession</em>. SOftware engineers shall advance the intergiry and reputation of the profession consistent with the public interest.</li>
		<li><em>Colleagues</em>. Software engineers shall be fair to and supportive of their colleagues.</li>
		<li><em>Self</em>. SOftware engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession</li>ewqeqeq
	</ol>
<!-- DASDSADSADSADA -->
</body>
</html>